<?php

echo '<p><b>Mise à jour de la base de données <i class="fas fa-angle-double-right"></i> Version 0.45</b></p>
<ul class="maxwidth">';

// Ajout d'un visualisation d\'anniversaire dans le module fréquentation
if(mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'freq_statcren_seuil'"))==1) {
	mysqli_query($bdd,"DELETE FROM ".$prefix."_parametres WHERE param_nom = 'freq_statcren_seuil'");
}
echo '<li>Suppression du paramètre de seuil pour la séparation des stats par créneau (obsolète).</li>';

// Vérification des codes élèves, avec suppression de ceux qui correspondent à des identifiants user
$check_users = mysqli_query($bdd,"SELECT * FROM ".$prefix."_user");
$nb_check=0;
foreach($check_users as $check_user) {
	$nb_pbs = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_eleves WHERE code = '".$check_user['login']."'"));
	if($nb_pbs>0) {
		mysqli_query($bdd,"UPDATE ".$prefix."_eleves SET code = '' WHERE code = '".$check_user['login']."'");
		$nb_check+=$nb_pbs;
	}
}
echo '<li>Suppression des codes d\'élèves qui correspondent à des identifiants d\'utilisateurs :';
if($nb_check==0) { echo ' aucune suppression.'; }
else { 
	echo ' '.$nb_check.' suppression'; 
	if($nb_check>1) { echo 's'; } 
	echo ' (voir dans <a href="database.php?page=consulter">database.php?page=consulter</a>).';
}
echo '</li>';

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.45' WHERE param_nom = 'version_bdd'");
echo '<li>Mise à jour de la base de données effectuée - version_bdd 0.45.</li></ul>';
?>